## pax 20190224

=== debian/changelog ===
pax (1:20190224-1) unstable; urgency=high

  * New upstream release
    - ported to MidnightBSD and (current — see #923067) GNU/kFreeBSD
    - adds workarounds for older glibc versions
    - deprecates some old MirCPIO-specific unflexible extensions
    - fixes FTBFS when uid_from_user() is available, and when
      fchmodat() and lchmod() are not available
    - fixes segfaults trying to select some archive formats
    - unbreaks -M uidgid

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 24 Feb 2019 03:25:32 +0100

pax (1:20190210-1) unstable; urgency=high

  * The “should also fix GNU/kFreeBSD FTBFS” upload
    ‣ I’ve tested this on the hurd-i386 porterbox but could not find
      any kfreebsd porterbox ☹
  * New upstream release
    - based on latest OpenBSD and MirBSD CVS
    - completely redone portability and build system
    - fixes FTBFS on Debian GNU/kFreeBSD as well ☺
  * Update d/copyright
  * Completely revamped packaging
    - Policy 4.3.0
  * Update Enhances targets (Closes: #917426)
  * Drop now-fixed glibc bug (#317466) from description
  * Update (and remove old) lintian overrides

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 10 Feb 2019 23:46:34 +0100

pax (1:20171021-3) unstable; urgency=low

  [ Jonathan de Boyne Pollard ]
  * Fix timestamp setting (#890810)

  [ Thorsten Glaser ]
  * Policy 4.2.1.5
    - R³: no
    - terse build option
  * Use Linux libc5 <sys/sysmacros.h> also for glibc 2.28+ (Closes: #916017)
  * Quell a compiler warnung about restrict qualifier in sigaction use
    (passing a NULL third argument, when not interested in the result)
  * Update lintian overrides
  * Add UMEGAYA metadata
  * Handle deferred symlinks correctly (Closes: #890810)

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 12 Dec 2018 00:19:19 +0100

=== debian/control ===
Source: pax
Section: utils
Priority: optional
Maintainer: Thorsten Glaser <tg@mirbsd.de>
Homepage: http://www.mirbsd.org/pax.htm
Build-Depends: debhelper (>= 12~)
Standards-Version: 4.3.0
Rules-Requires-Root: no
VCS-git: https://evolvis.org/anonscm/git/alioth/pax.git -b master
VCS-Browser: https://evolvis.org/plugins/scmgit/cgi-bin/gitweb.cgi?p=alioth/pax.git;a=shortlog;h=refs/heads/master

Package: pax
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Enhances: arj, binutils, cpio, dpkg, gzip, lha, libarchive-tools,
 p7zip, rar, star, tar, unrar, unzip, zip
Description: Portable Archive Interchange (cpio, pax, tar)
 paxtar is an implementation of an archiving utility that reads
 and writes several formats - traditional ones, the extended
 formats specified in IEEE 1003.1, and the ar(5) format used
 by deb(5) packages (MirBSD specific paxtar extension). The
 pax interface was designed by IEEE 1003.2 as a compromise in
 the chronic controversy over which of tar or cpio is best, but
 this implementation offers paxcpio and paxtar for easy calling.
 .
 This is the MirBSD paxtar implementation supporting the formats
 ar, bcpio, cpio, SVR4 cpio with and without CRC, old tar, and
 ustar, but not the format known as pax yet. It has extensions
 for removing non-numerical user and group IDs from the archive,
 storing hardlinked files only once, setting ownership to the
 superuser, anonymising inode and device information, changing
 the mtime to zero, and producing GNU tar compatible trailing
 slashes on ustar directory nodes. Its "ar" format is suitable
 for operating on *.deb files, unlike that of GNU binutils.
 .
 Note that ACLs and Extended Attributes are not supported.

=== debian/rules ===
#!/usr/bin/make -f

shellescape='$(subst ','\'',$(1))'
shellexport=$(1)=$(call shellescape,${$(1)})

ifeq (,$(findstring terse,${DEB_BUILD_OPTIONS}))
export DH_VERBOSE=1
export V=1
export VERBOSE=1
endif

LC_ALL:=C
export LC_ALL

DEB_BUILD_ARCH?=$(shell dpkg-architecture -qDEB_BUILD_ARCH)
DEB_HOST_ARCH?=$(shell dpkg-architecture -qDEB_HOST_ARCH)

# is ${CC} defined anywhere (other than implicit rules?)
ifneq (,$(findstring $(origin CC),default undefined))
# no - then default to gcc (or cross-gcc)
ifneq (${DEB_BUILD_ARCH},${DEB_HOST_ARCH})
DEB_HOST_GNU_TYPE?=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
CC=			${DEB_HOST_GNU_TYPE}-gcc
else
CC=			gcc
endif
endif

EXTRA_CPPFLAGS=		-DPAX_SAFE_PATH=\"/usr/bin:/bin\"
EXTRA_CFLAGS=		-Wall -Wextra -Wformat -fno-strict-aliasing
EXTRA_CFLAGS+=		-Wno-unused-result
EXTRA_LDFLAGS=		-Wl,--as-needed

ifneq (,$(wildcard /usr/share/dpkg/buildflags.mk))
# dpkg-dev (>= 1.16.1~)
dpkgbuildflagsmkescape=$(subst \,\\\,$(1))
DEB_CFLAGS_MAINT_APPEND=$(call dpkgbuildflagsmkescape,${EXTRA_CFLAGS})
DEB_CPPFLAGS_MAINT_APPEND=$(call dpkgbuildflagsmkescape,${EXTRA_CPPFLAGS})
DEB_LDFLAGS_MAINT_APPEND=$(call dpkgbuildflagsmkescape,${EXTRA_LDFLAGS})
DEB_BUILD_MAINT_OPTIONS=hardening=+all
include /usr/share/dpkg/buildflags.mk
else
# old-fashioned way to determine build flags
CFLAGS=			-O$(if $(findstring noopt,${DEB_BUILD_OPTIONS}),0,2) -g
CFLAGS+=		${EXTRA_CFLAGS}
CPPFLAGS+=		${EXTRA_CPPFLAGS}
LDFLAGS+=		${EXTRA_LDFLAGS}
endif

%:
	dh $@

override_dh_auto_clean:
	rm -rf builddir Makefile

override_dh_auto_build:
	rm -rf builddir
	mkdir builddir
	(cd builddir; env \
	    $(foreach i,CC CFLAGS CPPFLAGS LDFLAGS,$(call shellexport,$i)) \
	    sh ../Build.sh -r -tpax; \
	    echo $$? >Build.rv \
	) 2>&1 | sed \
	    -e 's!conftest.c:\([0-9]*\(:[0-9]*\)*\): error:!cE(\1) -!g' \
	    -e 's!conftest.c:\([0-9]*\(:[0-9]*\)*\): warning:!cW(\1) -!g' \
	    -e 's!conftest.c:\([0-9]*\(:[0-9]*\)*\): note:!cN(\1) -!g'
	test x"$$(cat builddir/Build.rv 2>&1)" = x"0"

## pax 20190825

=== debian/changelog ===
pax (1:20190825-1) unstable; urgency=low

  * New upstream release
    - small portability improvements
    - fix segfault if realpath(2) does not take a NULL second argument
  * Modernise packaging
  * Bump Policy, with no changes required

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 13 Sep 2019 14:11:11 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Thorsten Glaser <tg@mirbsd.de>
 Homepage: http://www.mirbsd.org/pax.htm
 Build-Depends: debhelper (>= 12~)
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Rules-Requires-Root: no
 VCS-git: https://evolvis.org/anonscm/git/alioth/pax.git -b master
 VCS-Browser: https://evolvis.org/plugins/scmgit/cgi-bin/gitweb.cgi?p=alioth/pax.git;a=shortlog;h=refs/heads/master

=== debian/rules ===
#!/usr/bin/make -f

ifeq (,$(filter terse,${DEB_BUILD_OPTIONS}))
export DH_VERBOSE=1
export V=1
export VERBOSE=1
endif

LC_ALL:=C.UTF-8
export LC_ALL

shellescape='$(subst ','\'',$(1))'
shellexport=$(1)=$(call shellescape,${$(1)})

include /usr/share/dpkg/buildtools.mk

OUR_CPPFLAGS:=
OUR_CFLAGS:=
OUR_LDFLAGS:=	-Wl,--as-needed

ifneq (,$(filter debug,${DEB_BUILD_OPTIONS}))
OUR_CFLAGS+=	-Og -g3
endif

OUR_CPPFLAGS+=	-DPAX_SAFE_PATH=\"/usr/bin:/bin\"
OUR_CFLAGS+=	-Wall -Wextra -Wformat -fno-strict-aliasing
OUR_CFLAGS+=	-Wno-unused-result

dpkgbuildflagsmkescape=$(subst \,\\\,$(1))
export DEB_BUILD_MAINT_OPTIONS:=hardening=+all
export DEB_CPPFLAGS_MAINT_APPEND:=$(call dpkgbuildflagsmkescape,${OUR_CPPFLAGS})
export DEB_CFLAGS_MAINT_APPEND:=$(call dpkgbuildflagsmkescape,${OUR_CFLAGS})
export DEB_LDFLAGS_MAINT_APPEND:=$(call dpkgbuildflagsmkescape,${OUR_LDFLAGS})
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_clean:
	rm -rf builddir Makefile

override_dh_auto_build:
	rm -rf builddir
	mkdir builddir
	(cd builddir; env \
	    $(foreach i,CC CPPFLAGS CFLAGS LDFLAGS,$(call shellexport,$i)) \
	    sh ../Build.sh -r -tpax; \
	    echo $$? >Build.rv \
	) 2>&1 | sed \
	    -e 's!conftest.c:\([0-9]*\(:[0-9]*\)*\): error:!cE(\1) -!g' \
	    -e 's!conftest.c:\([0-9]*\(:[0-9]*\)*\): warning:!cW(\1) -!g' \
	    -e 's!conftest.c:\([0-9]*\(:[0-9]*\)*\): note:!cN(\1) -!g'
	test x"$$(cat builddir/Build.rv 2>&1)" = x"0"

## pax 20201030

=== debian/changelog ===
pax (1:20201030-1build2) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 24 Mar 2022 17:22:25 +0100

pax (1:20201030-1build1) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:22:11 +0200

pax (1:20201030-1) unstable; urgency=low

  * ⛥ “Samhain on a blue moon” upload ⛦
  * New upstream release, so DDPO is green
    - minor portability fixes

 -- Thorsten Glaser <tg@mirbsd.de>  Sat, 31 Oct 2020 07:22:05 +0100

pax (1:20200904-1) unstable; urgency=medium

  * New upstream release
    - update strtonum from latest OpenBSD and MirBSD changes
    - don’t use test -n / -z in Build.sh for portability
    - update reallocarray, strmode as well and tweak detection
      and handling of compat functions
    - implement tar -D option to select format/options (extension)
    - also deprecate tar -A (-D ar), old tar -N (-M numid)
    - manpage improvements
  * Bump Policy, no applicable changes
  * Switch to debhelper 13
  * The bullseye+ toolchain adds -Wl,--as-needed automatically
  * Switch to .tgz distfiles
  * Refresh overrides for lintian

 -- Thorsten Glaser <tg@mirbsd.de>  Sat, 05 Sep 2020 04:26:58 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: pax
 Section: utils
 Priority: optional
-Maintainer: Thorsten Glaser <tg@mirbsd.de>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Thorsten Glaser <tg@mirbsd.de>
 Homepage: http://www.mirbsd.org/pax.htm
-Build-Depends: debhelper (>= 12~)
-Standards-Version: 4.4.0
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 VCS-git: https://evolvis.org/anonscm/git/alioth/pax.git -b master
 VCS-Browser: https://evolvis.org/plugins/scmgit/cgi-bin/gitweb.cgi?p=alioth/pax.git;a=shortlog;h=refs/heads/master

=== debian/rules ===
--- 
+++ 
@@ -16,11 +16,14 @@
 
 OUR_CPPFLAGS:=
 OUR_CFLAGS:=
-OUR_LDFLAGS:=	-Wl,--as-needed
+OUR_LDFLAGS:=
 
 ifneq (,$(filter debug,${DEB_BUILD_OPTIONS}))
 OUR_CFLAGS+=	-Og -g3
 endif
+
+# only needed when backporting to buster and older
+#OUR_LDFLAGS+=	-Wl,--as-needed
 
 OUR_CPPFLAGS+=	-DPAX_SAFE_PATH=\"/usr/bin:/bin\"
 OUR_CFLAGS+=	-Wall -Wextra -Wformat -fno-strict-aliasing
@@ -34,10 +37,10 @@
 include /usr/share/dpkg/buildflags.mk
 
 %:
-	dh $@
+	dh $@ --buildsystem=none
 
-override_dh_auto_clean:
-	rm -rf builddir Makefile
+execute_before_dh_auto_clean:
+	rm -rf builddir
 
 override_dh_auto_build:
 	rm -rf builddir

## pax 20240817

=== Makefile ===
# $MirOS: src/bin/pax/Makefile,v 1.35 2024/08/18 00:17:14 tg Exp $
#-
# Copyright (c) 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010,
#		2011, 2012, 2013, 2014, 2015, 2016, 2017, 2019,
#		2020, 2023, 2024
#	mirabilos <m@mirbsd.org>
# Copyright (c) 2018
#	mirabilos <t.glaser@tarent.de>
#
# Provided that these terms and disclaimer and all copyright notices
# are retained or reproduced in an accompanying document, permission
# is granted to deal in this work without restriction, including un-
# limited rights to use, publicly perform, distribute, sell, modify,
# merge, give away, or sublicence.
#
# This work is provided "AS IS" and WITHOUT WARRANTY of any kind, to
# the utmost extent permitted by applicable law, neither express nor
# implied; without malicious intent or gross negligence. In no event
# may a licensor, author or contributor be held liable for indirect,
# direct, other damage, loss, or other issues arising in any way out
# of dealing in the work, even if advised of the possibility of such
# damage or existence of a defect, except proven that it results out
# of said person's immediate fault when using the work as intended.
#-
# MirMakefile explicitly as part of MirBSD base; use Build.sh if you
# wish to build paxmirabilis (MirCPIO) on anything else, these days.

.ifdef cats
.MAIN: cats
.endif

.include <bsd.own.mk>

SRCDIR=		${.CURDIR}

PROG=		pax
SRCS=		ar.c ar_io.c ar_subs.c buf_subs.c compat.c cpio.c \
		file_subs.c ftree.c gen_subs.c getoldopt.c options.c \
		pat_rep.c pax.c sel_subs.c tables.c tar.c tty_subs.c
SRCS+=		cache.c
MAN=		cpio.1 pax.1 tar.1
LINKS+=		${BINDIR}/pax ${BINDIR}/cpio
LINKS+=		${BINDIR}/pax ${BINDIR}/tar
.if !make(test-build)
# ^K/ mksh /usr/src/contrib/hosted/tg/retab
CPPFLAGS+=	\
		-DHAVE_ATTRIBUTE_BOUNDED=1 -DHAVE_ATTRIBUTE_FORMAT=1 \
		-DHAVE_ATTRIBUTE_NONNULL=1 -DHAVE_ATTRIBUTE_NORETURN=1 \
		-DHAVE_ATTRIBUTE_PURE=1 -DHAVE_ATTRIBUTE_UNUSED=1 \
		-DHAVE_ATTRIBUTE_USED=1 -DHAVE_SYS_TIME_H=1 -DHAVE_TIME_H=1 \
		-DHAVE_BOTH_TIME_H=1 -DHAVE_SYS_MKDEV_H=0 -DHAVE_SYS_MTIO_H=1 \
		-DHAVE_SYS_RESOURCE_H=1 -DHAVE_SYS_SYSMACROS_H=0 \
		-DHAVE_GRP_H=1 -DHAVE_PATHS_H=1 -DHAVE_STDINT_H=1 \
		-DHAVE_STRINGS_H=1 -DHAVE_UTIME_H=1 -DHAVE_UTMP_H=1 \
		-DHAVE_UTMPX_H=0 -DHAVE_VIS_H=1 -DHAVE_CAN_INTTYPES=1 \
		-DHAVE_CAN_UCBINTS=1 -DHAVE_CAN_ULONG=1 -DHAVE_DPRINTF=0 \
		-DHAVE_FCHMODAT=0 -DHAVE_FCHOWNAT=0 -DHAVE_FUTIMENS=0 \
		-DHAVE_LCHMOD=1 -DHAVE_LCHOWN=1 -DHAVE_LINKAT=0 \
		-DHAVE_PLEDGE=0 -DHAVE_REALLOCARRAY=1 -DHAVE_SETPGENT=1 \
		-DHAVE_STRLCPY=1 -DHAVE_STRLCAT=1 -DHAVE_STRMODE=1 \
		-DHAVE_STRTONUM=1 -DHAVE_UG_FROM_UGID=1 -DHAVE_UGID_FROM_UG=0 \
		-DHAVE_UTIMENSAT=0 -DHAVE_UTIMES=1 -DHAVE_LUTIMES=1 \
		-DHAVE_FUTIMES=1 -DHAVE_OFFT_LONG=0 -DHAVE_TIMET_LONG=0 \
		-DHAVE_TIMET_LARGE=1 -DHAVE_ST_MTIMENSEC=1
CPPFLAGS+=	-I.
CPPFLAGS+=	-D_ALL_SOURCE
COPTS+=		-Wall
.endif
COPTS+=		-std=c89 -U__STRICT_ANSI__
# for MirBSD only, for a while
CPPFLAGS+=	-DREALPATH_CAN_ALLOCATE=2

SAFE_PATH=	/bin:/usr/bin:/usr/mpkg/bin:/usr/local/bin
CPPFLAGS+=	-DPAX_SAFE_PATH=\"${SAFE_PATH:Q}\"

TEST_BUILD_ENV:=	TARGET_OS= CPP=
TEST_BUILD_ENV+=	HAVE_PLEDGE=0	# for now, on MirBSD

test-build: .PHONY
	-rm -rf build-dir
	mkdir -p build-dir
	cd build-dir; env CC=${CC:Q} CFLAGS=${CFLAGS:M*:Q} \
	    CPPFLAGS=${CPPFLAGS:M*:Q} LDFLAGS=${LDFLAGS:M*:Q} \
	    LIBS=${LDADD:Q} NOWARN=-Wno-error ${TEST_BUILD_ENV} \
	    /bin/sh ${SRCDIR:Q}/Build.sh -Q -r

cleandir: clean-extra

clean-extra: .PHONY
	-rm -rf build-dir

CLEANFILES+=	${MANALL:S/.cat/.ps/} ${MAN:S/$/.pdf/} ${MANALL:S/$/.gz/}
CLEANFILES+=	${MAN:S/$/.htm/} ${MAN:S/$/.htm.gz/}
CLEANFILES+=	${MAN:S/$/.txt/} ${MAN:S/$/.txt.gz/}

.include <bsd.prog.mk>

CLEANFILES+=	cpio tar
all: cpio tar

cpio:
	ln -sf ${PROG} cpio

tar:
	ln -sf ${PROG} tar

.ifmake cats
V_GROFF!=	pkg_info -e 'groff-[0-9]*'
V_GHOSTSCRIPT!=	pkg_info -e 'ghostscript-[0-9]*'
.  if empty(V_GROFF) || empty(V_GHOSTSCRIPT)
.    error empty V_GROFF=${V_GROFF} or V_GHOSTSCRIPT=${V_GHOSTSCRIPT}
.  endif
.endif

CATS_KW=	cpio, pax, tar
CATS_TITLE_cpio_1=paxcpio - copy file archives in and out
CATS_TITLE_pax_1=pax - read and write file archives and copy directory hierarchies
CATS_TITLE_tar_1=paxtar - Unix tape archiver
CATS_PAGES=	cpio 1 pax 1 tar 1
catsall:=	${MANALL}
.for _m _n in ${CATS_PAGES}
catsall:=	${catsall:N${_m}.cat${_n}}
.endfor
.if "${catsall}" != ""
.  error Adjust here.
.endif
cats: ${MANALL} ${MANALL:S/.cat/.ps/}
.for _m _n in ${CATS_PAGES}
	x=$$(ident ${SRCDIR:Q}/${_m}.${_n} | \
	    awk '/Mir''OS:/ { print $$4$$5; }' | \
	    tr -dc 0-9); (( $${#x} == 14 )) || exit 1; exec \
	    ${MKSH} ${BSDSRCDIR:Q}/contrib/hosted/tg/ps2pdfmir -p pa4 -c \
	    -o ${_m}.${_n}.pdf '[' /Author '(MirBSD)' \
	    /Title '('${CATS_TITLE_${_m}_${_n}:Q}')' \
	    /Subject '(BSD Reference Manual)' /ModDate "(D:$$x)" \
	    /Creator '(GNU groff version ${V_GROFF:S/groff-//} \(MirPorts\))' \
	    /Producer '(Artifex Ghostscript ${V_GHOSTSCRIPT:S/ghostscript-//:S/-artifex//} \(MirPorts\))' \
	    /Keywords '('${CATS_KW:Q}')' /DOCINFO pdfmark \
	    -f ${_m}.ps${_n}
.endfor
	set -e; . ${BSDSRCDIR:Q}/scripts/roff2htm; set_target_absolute; \
	    for m in ${MANALL}; do \
		bn=$${m%.*}; ext=$${m##*.cat}; \
		[[ $$bn != $$m ]]; [[ $$ext != $$m ]]; \
		gzip -n9 <"$$m" >"$$m.gz"; \
		col -bx <"$$m" >"$$bn.$$ext.txt"; \
		rm -f "$$bn.$$ext.txt.gz"; gzip -n9 "$$bn.$$ext.txt"; \
		do_conversion_verbose "$$bn" "$$ext" "$$m" "$$bn.$$ext.htm"; \
		rm -f "$$bn.$$ext.htm.gz"; gzip -n9 "$$bn.$$ext.htm"; \
	done
.ifdef cats
.  for _m _n in ${CATS_PAGES}
	mv -f ${_m}.cat${_n}.gz ${_m}-${cats}.cat${_n}.gz
	mv -f ${_m}.${_n}.htm.gz ${_m}-${cats}.htm.gz
	mv -f ${_m}.${_n}.pdf ${_m}-${cats}.pdf
	mv -f ${_m}.${_n}.txt.gz ${_m}-${cats}.txt.gz
.  endfor
.endif

=== debian/changelog ===
pax (1:20240817-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Move files from /bin/ to /usr/bin/ (Closes: #1073622)

  [ Thorsten Glaser ]
  * Grudgingly merge the above
  * The “with friends like these…” upload 😾
  * Trim Enhances: (Closes: #1063606)
  * New upstream release
    - portability fixes including to groff in trixie/sid
  * Switch d/watch to TLSv1.2+ mirror
  * Sync lintian overrides, bump S-V

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 18 Aug 2024 03:07:07 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: pax
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Thorsten Glaser <tg@mirbsd.de>
+Maintainer: Thorsten Glaser <tg@mirbsd.de>
 Homepage: http://www.mirbsd.org/pax.htm
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.5.0
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 VCS-git: https://evolvis.org/anonscm/git/alioth/pax.git -b master
 VCS-Browser: https://evolvis.org/plugins/scmgit/cgi-bin/gitweb.cgi?p=alioth/pax.git;a=shortlog;h=refs/heads/master
@@ -14,8 +13,7 @@
 Architecture: any
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Enhances: arj, binutils, cpio, dpkg, gzip, lha, libarchive-tools,
- p7zip, rar, star, tar, unrar, unzip, zip
+Enhances: binutils, cpio, dpkg, gzip, tar
 Description: Portable Archive Interchange (cpio, pax, tar)
  paxtar is an implementation of an archiving utility that reads
  and writes several formats - traditional ones, the extended

=== debian/rules ===
--- 
+++ 
@@ -22,15 +22,11 @@
 OUR_CFLAGS+=	-Og -g3
 endif
 
-# only needed when backporting to buster and older
-#OUR_LDFLAGS+=	-Wl,--as-needed
-
-OUR_CPPFLAGS+=	-DPAX_SAFE_PATH=\"/usr/bin:/bin\"
+OUR_CPPFLAGS+=	-DPAX_SAFE_PATH=\"/usr/bin\"
 OUR_CFLAGS+=	-Wall -Wextra -Wformat -fno-strict-aliasing
-OUR_CFLAGS+=	-Wno-unused-result
 
 dpkgbuildflagsmkescape=$(subst \,\\\,$(1))
-export DEB_BUILD_MAINT_OPTIONS:=hardening=+all
+export DEB_BUILD_MAINT_OPTIONS:=hardening=+all optimize=-lto
 export DEB_CPPFLAGS_MAINT_APPEND:=$(call dpkgbuildflagsmkescape,${OUR_CPPFLAGS})
 export DEB_CFLAGS_MAINT_APPEND:=$(call dpkgbuildflagsmkescape,${OUR_CFLAGS})
 export DEB_LDFLAGS_MAINT_APPEND:=$(call dpkgbuildflagsmkescape,${OUR_LDFLAGS})
@@ -54,3 +50,6 @@
 	    -e 's!conftest.c:\([0-9]*\(:[0-9]*\)*\): warning:!cW(\1) -!g' \
 	    -e 's!conftest.c:\([0-9]*\(:[0-9]*\)*\): note:!cN(\1) -!g'
 	test x"$$(cat builddir/Build.rv 2>&1)" = x"0"
+
+execute_before_dh_installdeb:
+	if command -v dh_movetousr >/dev/null 2>&1; then dh_movetousr; fi

=== debian/watch ===
version=4
opts="dversionmangle=s/^[0-9]+://" \
https://mbsd.evolvis.org/MirOS/dist/mir/cpio/ paxmirabilis-(.*)\.tgz
